@import url('https://fonts.googleapis.com/css2?family=Days+One&family=Open+Sans&family=Poppins:ital,wght@0,400;1,300&family=Russo+One&family=Space+Grotesk&display=swap');
/* google poppin font */
:root{
    /* colors */
    --first-color:hsl(30,16%,50%);
    --text-color:#fff;
    --text-color-black:hsl(30,8%,15%);
    --body-color:hsl(30,100%,98%);
    /* fonts and typography */
    --body-font:'Poppins', sans-serif;
    --h3-font-size:1rem;
    --small-font-size:0.813rem;
    --smaller-font-size:0.75rem;
}
/* responsive typography */
@media screen and (min-width: 1024px){
    :root{
        --h3-font-size:1.125rem;
        --small-font-size:0.875rem;
        --smaller-font-size:0.813rem;
    }
}
*{
    box-sizing: border-box;
    padding:0;
    margin:0;
}
body{
    font-family: var(--body-font);
    background-color: var(--body-color);
}
img{
    max-width: 100%;
    height: auto;
}
.gallery{
    height: 100vh;
    display: grid;
    align-content: center;
    justify-content: center;
}
.gallery__card{
    position: relative;
    width:208px;
    height: 268px;
    border-radius: 3rem;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
}
.gallery__img,
.gallery__card::after,
.gallery__data{
    position: absolute;
}
.gallery__img{
    /* inset will make the rull for : paddin and margin . it will fit the item to the container*/
    inset:0;
    margin:auto;
    transition: transform 0.3s;
}
/* to add a dark transition to images, the overlayer will got some color */
.gallery__card::after{
    content:'';
    width:100%;
    height: 100%;
    background:linear-gradient(180deg,
                             hsla(0,0%,100%,0) 32%,
                             hsla(0,0%,0%,0.3) 100%);
    top:0;
    z-index: 1;
}
.gallery__data{
    bottom:1.5rem;
    left:1.75rem;
    z-index: 10;
}
.gallery__title,
.gallery__subtitle{
    color: var(--text-color);
    font-weight: 500;
}
.gallery__title{
    font-size: var(--h3-font-size);
}
.gallery__subtitle{
    font-size: var(--small-font-size);
}
.gallery__overflow{
    position: relative;
}
.gallery__thumbnail{
    position:relative;
    width:60px;
    height: 60px;
    border-radius: 1.5rem;
    overflow: hidden;
    margin-left:auto;
    margin-right: auto;
    cursor:pointer;
    transition: transform 0.3s;
}
.gallery__thumbnail-img{
    position: absolute;
    inset:0;
    margin:auto;
}
.gallery-cards,
.gallery-thumbs{
    width:260px;
}
.gallery-cards:hover .gallery__img{
    transform: scale(1.1);
}
.gallery .swiper-wrapper{
    padding:2.5rem 0;
}
/* to push main thumbnail and add an orientation to others */
.swiper-slide-active .gallery__thumbnail{
    transform: translateY(-1.25rem) scale(1.2);
}
.swiper-slide-next .gallery__thumbnail{
    transform: rotate(15deg);
}
.swiper-slide-prev .gallery__thumbnail{
    transform: rotate(-15deg);
}
/* sliding numbers */
.swiper-pagination-fraction{
    font-size:var(--small-font-size);
    letter-spacing: -1px;
    font-weight:500;
    color:var(--first-color);
    bottom:0;
}
/* eliminate default arrow */
.swiper-button-next::after,
.swiper-button-prev::after{
    content:'';
}

.swiper-button-next,
.swiper-button-prev{
    font-size: 1.5rem;
    color:var(--text-color-black);
    top:5.5rem;
}
.swiper-button-next{
    right:-1.5rem;
    transform: rotate(15deg);
}
.swiper-button-prev{
    left:-1.5rem;
    transform:rotate(-15deg);
}
.gallery-cards::after{
    content:'';
    width:100%;
    height: 100%;
    position: absolute;
    top:0;
    left:0;
    z-index:10;
}
.swiper-horizontal.swiper-css-mode > .swiper-wrapper{
    scroll-snap-type: initial;
}
/* ================== Breakpoints===================== */
@media screen and (max-width: 720px){
    .swiper-button-next,
    .swiper-button-prev{
        display: none;
    }
}
@media screen and (min-width: 1024px){
    .gallery-card{
        width: 220px;
        height: 290px;
    }
    .gallery__thumbnail{
        width:65px;
        height: 65px;
    }
    .gallery-cards,
    .gallery-thumbs{
        width:280px;
    }
}